Makefile.in 31 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985986987988989990991992
  1. # Makefile.in generated by automake 1.16.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2018 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. #
  13. # ngIRCd -- The Next Generation IRC Daemon
  14. # Copyright (c)2001-2012 Alexander Barton (alex@barton.de) and Contributors
  15. #
  16. # This program is free software; you can redistribute it and/or modify
  17. # it under the terms of the GNU General Public License as published by
  18. # the Free Software Foundation; either version 2 of the License, or
  19. # (at your option) any later version.
  20. # Please read the file COPYING, README and AUTHORS for more information.
  21. #
  22. VPATH = @srcdir@
  23. am__is_gnu_make = { \
  24. if test -z '$(MAKELEVEL)'; then \
  25. false; \
  26. elif test -n '$(MAKE_HOST)'; then \
  27. true; \
  28. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  29. true; \
  30. else \
  31. false; \
  32. fi; \
  33. }
  34. am__make_running_with_option = \
  35. case $${target_option-} in \
  36. ?) ;; \
  37. *) echo "am__make_running_with_option: internal error: invalid" \
  38. "target option '$${target_option-}' specified" >&2; \
  39. exit 1;; \
  40. esac; \
  41. has_opt=no; \
  42. sane_makeflags=$$MAKEFLAGS; \
  43. if $(am__is_gnu_make); then \
  44. sane_makeflags=$$MFLAGS; \
  45. else \
  46. case $$MAKEFLAGS in \
  47. *\\[\ \ ]*) \
  48. bs=\\; \
  49. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  50. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  51. esac; \
  52. fi; \
  53. skip_next=no; \
  54. strip_trailopt () \
  55. { \
  56. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  57. }; \
  58. for flg in $$sane_makeflags; do \
  59. test $$skip_next = yes && { skip_next=no; continue; }; \
  60. case $$flg in \
  61. *=*|--*) continue;; \
  62. -*I) strip_trailopt 'I'; skip_next=yes;; \
  63. -*I?*) strip_trailopt 'I';; \
  64. -*O) strip_trailopt 'O'; skip_next=yes;; \
  65. -*O?*) strip_trailopt 'O';; \
  66. -*l) strip_trailopt 'l'; skip_next=yes;; \
  67. -*l?*) strip_trailopt 'l';; \
  68. -[dEDm]) skip_next=yes;; \
  69. -[JT]) skip_next=yes;; \
  70. esac; \
  71. case $$flg in \
  72. *$$target_option*) has_opt=yes; break;; \
  73. esac; \
  74. done; \
  75. test $$has_opt = yes
  76. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  77. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  78. pkgdatadir = $(datadir)/@PACKAGE@
  79. pkgincludedir = $(includedir)/@PACKAGE@
  80. pkglibdir = $(libdir)/@PACKAGE@
  81. pkglibexecdir = $(libexecdir)/@PACKAGE@
  82. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  83. install_sh_DATA = $(install_sh) -c -m 644
  84. install_sh_PROGRAM = $(install_sh) -c
  85. install_sh_SCRIPT = $(install_sh) -c
  86. INSTALL_HEADER = $(INSTALL_DATA)
  87. transform = $(program_transform_name)
  88. NORMAL_INSTALL = :
  89. PRE_INSTALL = :
  90. POST_INSTALL = :
  91. NORMAL_UNINSTALL = :
  92. PRE_UNINSTALL = :
  93. POST_UNINSTALL = :
  94. build_triplet = @build@
  95. host_triplet = @host@
  96. sbin_PROGRAMS = ngircd$(EXEEXT)
  97. subdir = src/ngircd
  98. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  99. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  100. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  101. $(ACLOCAL_M4)
  102. DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
  103. $(am__DIST_COMMON)
  104. mkinstalldirs = $(install_sh) -d
  105. CONFIG_HEADER = $(top_builddir)/src/config.h
  106. CONFIG_CLEAN_FILES =
  107. CONFIG_CLEAN_VPATH_FILES =
  108. am__installdirs = "$(DESTDIR)$(sbindir)"
  109. PROGRAMS = $(sbin_PROGRAMS)
  110. am_ngircd_OBJECTS = ngircd.$(OBJEXT) array.$(OBJEXT) channel.$(OBJEXT) \
  111. class.$(OBJEXT) client.$(OBJEXT) client-cap.$(OBJEXT) \
  112. conf.$(OBJEXT) conn.$(OBJEXT) conn-encoding.$(OBJEXT) \
  113. conn-func.$(OBJEXT) conn-ssl.$(OBJEXT) conn-zip.$(OBJEXT) \
  114. hash.$(OBJEXT) io.$(OBJEXT) irc.$(OBJEXT) irc-cap.$(OBJEXT) \
  115. irc-channel.$(OBJEXT) irc-encoding.$(OBJEXT) \
  116. irc-info.$(OBJEXT) irc-login.$(OBJEXT) irc-metadata.$(OBJEXT) \
  117. irc-mode.$(OBJEXT) irc-op.$(OBJEXT) irc-oper.$(OBJEXT) \
  118. irc-server.$(OBJEXT) irc-write.$(OBJEXT) lists.$(OBJEXT) \
  119. log.$(OBJEXT) login.$(OBJEXT) match.$(OBJEXT) \
  120. numeric.$(OBJEXT) op.$(OBJEXT) pam.$(OBJEXT) parse.$(OBJEXT) \
  121. proc.$(OBJEXT) resolve.$(OBJEXT) sighandlers.$(OBJEXT)
  122. ngircd_OBJECTS = $(am_ngircd_OBJECTS)
  123. ngircd_DEPENDENCIES =
  124. ngircd_LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(ngircd_LDFLAGS) \
  125. $(LDFLAGS) -o $@
  126. AM_V_P = $(am__v_P_@AM_V@)
  127. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  128. am__v_P_0 = false
  129. am__v_P_1 = :
  130. AM_V_GEN = $(am__v_GEN_@AM_V@)
  131. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  132. am__v_GEN_0 = @echo " GEN " $@;
  133. am__v_GEN_1 =
  134. AM_V_at = $(am__v_at_@AM_V@)
  135. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  136. am__v_at_0 = @
  137. am__v_at_1 =
  138. DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
  139. depcomp = $(SHELL) $(top_srcdir)/depcomp
  140. am__maybe_remake_depfiles = depfiles
  141. am__depfiles_remade = ./$(DEPDIR)/array.Po ./$(DEPDIR)/channel.Po \
  142. ./$(DEPDIR)/class.Po ./$(DEPDIR)/client-cap.Po \
  143. ./$(DEPDIR)/client.Po ./$(DEPDIR)/conf.Po \
  144. ./$(DEPDIR)/conn-encoding.Po ./$(DEPDIR)/conn-func.Po \
  145. ./$(DEPDIR)/conn-ssl.Po ./$(DEPDIR)/conn-zip.Po \
  146. ./$(DEPDIR)/conn.Po ./$(DEPDIR)/hash.Po ./$(DEPDIR)/io.Po \
  147. ./$(DEPDIR)/irc-cap.Po ./$(DEPDIR)/irc-channel.Po \
  148. ./$(DEPDIR)/irc-encoding.Po ./$(DEPDIR)/irc-info.Po \
  149. ./$(DEPDIR)/irc-login.Po ./$(DEPDIR)/irc-metadata.Po \
  150. ./$(DEPDIR)/irc-mode.Po ./$(DEPDIR)/irc-op.Po \
  151. ./$(DEPDIR)/irc-oper.Po ./$(DEPDIR)/irc-server.Po \
  152. ./$(DEPDIR)/irc-write.Po ./$(DEPDIR)/irc.Po \
  153. ./$(DEPDIR)/lists.Po ./$(DEPDIR)/log.Po ./$(DEPDIR)/login.Po \
  154. ./$(DEPDIR)/match.Po ./$(DEPDIR)/ngircd.Po \
  155. ./$(DEPDIR)/numeric.Po ./$(DEPDIR)/op.Po ./$(DEPDIR)/pam.Po \
  156. ./$(DEPDIR)/parse.Po ./$(DEPDIR)/proc.Po \
  157. ./$(DEPDIR)/resolve.Po ./$(DEPDIR)/sighandlers.Po
  158. am__mv = mv -f
  159. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  160. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  161. AM_V_CC = $(am__v_CC_@AM_V@)
  162. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  163. am__v_CC_0 = @echo " CC " $@;
  164. am__v_CC_1 =
  165. CCLD = $(CC)
  166. LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  167. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  168. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  169. am__v_CCLD_0 = @echo " CCLD " $@;
  170. am__v_CCLD_1 =
  171. SOURCES = $(ngircd_SOURCES)
  172. DIST_SOURCES = $(ngircd_SOURCES)
  173. am__can_run_installinfo = \
  174. case $$AM_UPDATE_INFO_DIR in \
  175. n|no|NO) false;; \
  176. *) (install-info --version) >/dev/null 2>&1;; \
  177. esac
  178. HEADERS = $(noinst_HEADERS)
  179. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  180. # Read a list of newline-separated strings from the standard input,
  181. # and print each of them once, without duplicates. Input order is
  182. # *not* preserved.
  183. am__uniquify_input = $(AWK) '\
  184. BEGIN { nonempty = 0; } \
  185. { items[$$0] = 1; nonempty = 1; } \
  186. END { if (nonempty) { for (i in items) print i; }; } \
  187. '
  188. # Make sure the list of sources is unique. This is necessary because,
  189. # e.g., the same source file might be shared among _SOURCES variables
  190. # for different programs/libraries.
  191. am__define_uniq_tagged_files = \
  192. list='$(am__tagged_files)'; \
  193. unique=`for i in $$list; do \
  194. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  195. done | $(am__uniquify_input)`
  196. ETAGS = etags
  197. CTAGS = ctags
  198. am__tty_colors_dummy = \
  199. mgn= red= grn= lgn= blu= brg= std=; \
  200. am__color_tests=no
  201. am__tty_colors = { \
  202. $(am__tty_colors_dummy); \
  203. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  204. am__color_tests=no; \
  205. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  206. am__color_tests=yes; \
  207. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  208. am__color_tests=yes; \
  209. fi; \
  210. if test $$am__color_tests = yes; then \
  211. red=''; \
  212. grn=''; \
  213. lgn=''; \
  214. blu=''; \
  215. mgn=''; \
  216. brg=''; \
  217. std=''; \
  218. fi; \
  219. }
  220. am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
  221. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  222. ACLOCAL = @ACLOCAL@
  223. AMTAR = @AMTAR@
  224. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  225. AR = @AR@
  226. AUTOCONF = @AUTOCONF@
  227. AUTOHEADER = @AUTOHEADER@
  228. AUTOMAKE = @AUTOMAKE@
  229. AWK = @AWK@
  230. CC = @CC@
  231. CCDEPMODE = @CCDEPMODE@
  232. CFLAGS = @CFLAGS@
  233. CPP = @CPP@
  234. CPPFLAGS = @CPPFLAGS@
  235. CYGPATH_W = @CYGPATH_W@
  236. DEFS = @DEFS@
  237. DEPDIR = @DEPDIR@
  238. ECHO_C = @ECHO_C@
  239. ECHO_N = @ECHO_N@
  240. ECHO_T = @ECHO_T@
  241. EGREP = @EGREP@
  242. EXEEXT = @EXEEXT@
  243. GREP = @GREP@
  244. INSTALL = @INSTALL@
  245. INSTALL_DATA = @INSTALL_DATA@
  246. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  247. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  248. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  249. LDFLAGS = @LDFLAGS@
  250. LIBOBJS = @LIBOBJS@
  251. LIBS = @LIBS@
  252. LN_S = @LN_S@
  253. LTLIBOBJS = @LTLIBOBJS@
  254. MAKEINFO = @MAKEINFO@
  255. MKDIR_P = @MKDIR_P@
  256. OBJEXT = @OBJEXT@
  257. OPENSSL_CFLAGS = @OPENSSL_CFLAGS@
  258. OPENSSL_LIBS = @OPENSSL_LIBS@
  259. PACKAGE = @PACKAGE@
  260. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  261. PACKAGE_NAME = @PACKAGE_NAME@
  262. PACKAGE_STRING = @PACKAGE_STRING@
  263. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  264. PACKAGE_URL = @PACKAGE_URL@
  265. PACKAGE_VERSION = @PACKAGE_VERSION@
  266. PATH_SEPARATOR = @PATH_SEPARATOR@
  267. PKG_CONFIG = @PKG_CONFIG@
  268. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  269. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  270. RANLIB = @RANLIB@
  271. SET_MAKE = @SET_MAKE@
  272. SHELL = @SHELL@
  273. STRIP = @STRIP@
  274. VERSION = @VERSION@
  275. abs_builddir = @abs_builddir@
  276. abs_srcdir = @abs_srcdir@
  277. abs_top_builddir = @abs_top_builddir@
  278. abs_top_srcdir = @abs_top_srcdir@
  279. ac_ct_AR = @ac_ct_AR@
  280. ac_ct_CC = @ac_ct_CC@
  281. am__include = @am__include@
  282. am__leading_dot = @am__leading_dot@
  283. am__quote = @am__quote@
  284. am__tar = @am__tar@
  285. am__untar = @am__untar@
  286. bindir = @bindir@
  287. build = @build@
  288. build_alias = @build_alias@
  289. build_cpu = @build_cpu@
  290. build_os = @build_os@
  291. build_vendor = @build_vendor@
  292. builddir = @builddir@
  293. datadir = @datadir@
  294. datarootdir = @datarootdir@
  295. docdir = @docdir@
  296. dvidir = @dvidir@
  297. exec_prefix = @exec_prefix@
  298. host = @host@
  299. host_alias = @host_alias@
  300. host_cpu = @host_cpu@
  301. host_os = @host_os@
  302. host_vendor = @host_vendor@
  303. htmldir = @htmldir@
  304. includedir = @includedir@
  305. infodir = @infodir@
  306. install_sh = @install_sh@
  307. libdir = @libdir@
  308. libexecdir = @libexecdir@
  309. localedir = @localedir@
  310. localstatedir = @localstatedir@
  311. mandir = @mandir@
  312. mkdir_p = @mkdir_p@
  313. oldincludedir = @oldincludedir@
  314. pdfdir = @pdfdir@
  315. prefix = @prefix@
  316. program_transform_name = @program_transform_name@
  317. psdir = @psdir@
  318. runstatedir = @runstatedir@
  319. sbindir = @sbindir@
  320. sharedstatedir = @sharedstatedir@
  321. srcdir = @srcdir@
  322. sysconfdir = @sysconfdir@
  323. target_alias = @target_alias@
  324. top_build_prefix = @top_build_prefix@
  325. top_builddir = @top_builddir@
  326. top_srcdir = @top_srcdir@
  327. AUTOMAKE_OPTIONS = serial-tests #../portab/ansi2knr (disabled by ./autogen.sh script)
  328. EXTRA_DIST = Makefile.ng
  329. AM_CPPFLAGS = -I$(srcdir)/../portab -I$(srcdir)/../tool -I$(srcdir)/../ipaddr
  330. LINTARGS = -weak -warnunixlib +unixlib -booltype BOOLEAN \
  331. -varuse -retvalother -emptyret -unrecog
  332. ngircd_SOURCES = \
  333. ngircd.c \
  334. array.c \
  335. channel.c \
  336. class.c \
  337. client.c \
  338. client-cap.c \
  339. conf.c \
  340. conn.c \
  341. conn-encoding.c \
  342. conn-func.c \
  343. conn-ssl.c \
  344. conn-zip.c \
  345. hash.c \
  346. io.c \
  347. irc.c \
  348. irc-cap.c \
  349. irc-channel.c \
  350. irc-encoding.c \
  351. irc-info.c \
  352. irc-login.c \
  353. irc-metadata.c \
  354. irc-mode.c \
  355. irc-op.c \
  356. irc-oper.c \
  357. irc-server.c \
  358. irc-write.c \
  359. lists.c \
  360. log.c \
  361. login.c \
  362. match.c \
  363. numeric.c \
  364. op.c \
  365. pam.c \
  366. parse.c \
  367. proc.c \
  368. resolve.c \
  369. sighandlers.c
  370. ngircd_LDFLAGS = -L../portab -L../tool -L../ipaddr
  371. ngircd_LDADD = -lngportab -lngtool -lngipaddr
  372. noinst_HEADERS = \
  373. ngircd.h \
  374. array.h \
  375. channel.h \
  376. class.h \
  377. client.h \
  378. client-cap.h \
  379. conf.h \
  380. conf-ssl.h \
  381. conn.h \
  382. conn-encoding.h \
  383. conn-func.h \
  384. conn-ssl.h \
  385. conn-zip.h \
  386. defines.h \
  387. hash.h \
  388. io.h \
  389. irc.h \
  390. irc-cap.h \
  391. irc-channel.h \
  392. irc-encoding.h \
  393. irc-info.h \
  394. irc-login.h \
  395. irc-macros.h \
  396. irc-metadata.h \
  397. irc-mode.h \
  398. irc-op.h \
  399. irc-oper.h \
  400. irc-server.h \
  401. irc-write.h \
  402. lists.h \
  403. log.h \
  404. login.h \
  405. match.h \
  406. messages.h \
  407. numeric.h \
  408. op.h \
  409. pam.h \
  410. parse.h \
  411. proc.h \
  412. resolve.h \
  413. sighandlers.h
  414. TESTS = check-version check-help
  415. all: all-am
  416. .SUFFIXES:
  417. .SUFFIXES: .c .o .obj
  418. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  419. @for dep in $?; do \
  420. case '$(am__configure_deps)' in \
  421. *$$dep*) \
  422. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  423. && { if test -f $@; then exit 0; else break; fi; }; \
  424. exit 1;; \
  425. esac; \
  426. done; \
  427. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/ngircd/Makefile'; \
  428. $(am__cd) $(top_srcdir) && \
  429. $(AUTOMAKE) --foreign src/ngircd/Makefile
  430. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  431. @case '$?' in \
  432. *config.status*) \
  433. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  434. *) \
  435. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  436. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  437. esac;
  438. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  439. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  440. $(top_srcdir)/configure: $(am__configure_deps)
  441. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  442. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  443. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  444. $(am__aclocal_m4_deps):
  445. install-sbinPROGRAMS: $(sbin_PROGRAMS)
  446. @$(NORMAL_INSTALL)
  447. @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
  448. if test -n "$$list"; then \
  449. echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
  450. $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
  451. fi; \
  452. for p in $$list; do echo "$$p $$p"; done | \
  453. sed 's/$(EXEEXT)$$//' | \
  454. while read p p1; do if test -f $$p \
  455. ; then echo "$$p"; echo "$$p"; else :; fi; \
  456. done | \
  457. sed -e 'p;s,.*/,,;n;h' \
  458. -e 's|.*|.|' \
  459. -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  460. sed 'N;N;N;s,\n, ,g' | \
  461. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  462. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  463. if ($$2 == $$4) files[d] = files[d] " " $$1; \
  464. else { print "f", $$3 "/" $$4, $$1; } } \
  465. END { for (d in files) print "f", d, files[d] }' | \
  466. while read type dir files; do \
  467. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  468. test -z "$$files" || { \
  469. echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
  470. $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
  471. } \
  472. ; done
  473. uninstall-sbinPROGRAMS:
  474. @$(NORMAL_UNINSTALL)
  475. @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
  476. files=`for p in $$list; do echo "$$p"; done | \
  477. sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  478. -e 's/$$/$(EXEEXT)/' \
  479. `; \
  480. test -n "$$list" || exit 0; \
  481. echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
  482. cd "$(DESTDIR)$(sbindir)" && rm -f $$files
  483. clean-sbinPROGRAMS:
  484. -test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
  485. ngircd$(EXEEXT): $(ngircd_OBJECTS) $(ngircd_DEPENDENCIES) $(EXTRA_ngircd_DEPENDENCIES)
  486. @rm -f ngircd$(EXEEXT)
  487. $(AM_V_CCLD)$(ngircd_LINK) $(ngircd_OBJECTS) $(ngircd_LDADD) $(LIBS)
  488. mostlyclean-compile:
  489. -rm -f *.$(OBJEXT)
  490. distclean-compile:
  491. -rm -f *.tab.c
  492. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/array.Po@am__quote@ # am--include-marker
  493. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/channel.Po@am__quote@ # am--include-marker
  494. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/class.Po@am__quote@ # am--include-marker
  495. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/client-cap.Po@am__quote@ # am--include-marker
  496. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/client.Po@am__quote@ # am--include-marker
  497. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conf.Po@am__quote@ # am--include-marker
  498. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conn-encoding.Po@am__quote@ # am--include-marker
  499. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conn-func.Po@am__quote@ # am--include-marker
  500. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conn-ssl.Po@am__quote@ # am--include-marker
  501. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conn-zip.Po@am__quote@ # am--include-marker
  502. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conn.Po@am__quote@ # am--include-marker
  503. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash.Po@am__quote@ # am--include-marker
  504. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/io.Po@am__quote@ # am--include-marker
  505. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/irc-cap.Po@am__quote@ # am--include-marker
  506. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/irc-channel.Po@am__quote@ # am--include-marker
  507. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/irc-encoding.Po@am__quote@ # am--include-marker
  508. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/irc-info.Po@am__quote@ # am--include-marker
  509. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/irc-login.Po@am__quote@ # am--include-marker
  510. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/irc-metadata.Po@am__quote@ # am--include-marker
  511. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/irc-mode.Po@am__quote@ # am--include-marker
  512. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/irc-op.Po@am__quote@ # am--include-marker
  513. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/irc-oper.Po@am__quote@ # am--include-marker
  514. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/irc-server.Po@am__quote@ # am--include-marker
  515. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/irc-write.Po@am__quote@ # am--include-marker
  516. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/irc.Po@am__quote@ # am--include-marker
  517. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lists.Po@am__quote@ # am--include-marker
  518. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log.Po@am__quote@ # am--include-marker
  519. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/login.Po@am__quote@ # am--include-marker
  520. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/match.Po@am__quote@ # am--include-marker
  521. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ngircd.Po@am__quote@ # am--include-marker
  522. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/numeric.Po@am__quote@ # am--include-marker
  523. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/op.Po@am__quote@ # am--include-marker
  524. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pam.Po@am__quote@ # am--include-marker
  525. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parse.Po@am__quote@ # am--include-marker
  526. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/proc.Po@am__quote@ # am--include-marker
  527. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resolve.Po@am__quote@ # am--include-marker
  528. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sighandlers.Po@am__quote@ # am--include-marker
  529. $(am__depfiles_remade):
  530. @$(MKDIR_P) $(@D)
  531. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  532. am--depfiles: $(am__depfiles_remade)
  533. .c.o:
  534. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  535. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  536. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  537. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  538. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  539. .c.obj:
  540. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  541. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  542. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  543. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  544. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  545. ID: $(am__tagged_files)
  546. $(am__define_uniq_tagged_files); mkid -fID $$unique
  547. tags: tags-am
  548. TAGS: tags
  549. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  550. set x; \
  551. here=`pwd`; \
  552. $(am__define_uniq_tagged_files); \
  553. shift; \
  554. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  555. test -n "$$unique" || unique=$$empty_fix; \
  556. if test $$# -gt 0; then \
  557. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  558. "$$@" $$unique; \
  559. else \
  560. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  561. $$unique; \
  562. fi; \
  563. fi
  564. ctags: ctags-am
  565. CTAGS: ctags
  566. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  567. $(am__define_uniq_tagged_files); \
  568. test -z "$(CTAGS_ARGS)$$unique" \
  569. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  570. $$unique
  571. GTAGS:
  572. here=`$(am__cd) $(top_builddir) && pwd` \
  573. && $(am__cd) $(top_srcdir) \
  574. && gtags -i $(GTAGS_ARGS) "$$here"
  575. cscopelist: cscopelist-am
  576. cscopelist-am: $(am__tagged_files)
  577. list='$(am__tagged_files)'; \
  578. case "$(srcdir)" in \
  579. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  580. *) sdir=$(subdir)/$(srcdir) ;; \
  581. esac; \
  582. for i in $$list; do \
  583. if test -f "$$i"; then \
  584. echo "$(subdir)/$$i"; \
  585. else \
  586. echo "$$sdir/$$i"; \
  587. fi; \
  588. done >> $(top_builddir)/cscope.files
  589. distclean-tags:
  590. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  591. check-TESTS: $(TESTS)
  592. @failed=0; all=0; xfail=0; xpass=0; skip=0; \
  593. srcdir=$(srcdir); export srcdir; \
  594. list=' $(TESTS) '; \
  595. $(am__tty_colors); \
  596. if test -n "$$list"; then \
  597. for tst in $$list; do \
  598. if test -f ./$$tst; then dir=./; \
  599. elif test -f $$tst; then dir=; \
  600. else dir="$(srcdir)/"; fi; \
  601. if $(TESTS_ENVIRONMENT) $${dir}$$tst $(AM_TESTS_FD_REDIRECT); then \
  602. all=`expr $$all + 1`; \
  603. case " $(XFAIL_TESTS) " in \
  604. *[\ \ ]$$tst[\ \ ]*) \
  605. xpass=`expr $$xpass + 1`; \
  606. failed=`expr $$failed + 1`; \
  607. col=$$red; res=XPASS; \
  608. ;; \
  609. *) \
  610. col=$$grn; res=PASS; \
  611. ;; \
  612. esac; \
  613. elif test $$? -ne 77; then \
  614. all=`expr $$all + 1`; \
  615. case " $(XFAIL_TESTS) " in \
  616. *[\ \ ]$$tst[\ \ ]*) \
  617. xfail=`expr $$xfail + 1`; \
  618. col=$$lgn; res=XFAIL; \
  619. ;; \
  620. *) \
  621. failed=`expr $$failed + 1`; \
  622. col=$$red; res=FAIL; \
  623. ;; \
  624. esac; \
  625. else \
  626. skip=`expr $$skip + 1`; \
  627. col=$$blu; res=SKIP; \
  628. fi; \
  629. echo "$${col}$$res$${std}: $$tst"; \
  630. done; \
  631. if test "$$all" -eq 1; then \
  632. tests="test"; \
  633. All=""; \
  634. else \
  635. tests="tests"; \
  636. All="All "; \
  637. fi; \
  638. if test "$$failed" -eq 0; then \
  639. if test "$$xfail" -eq 0; then \
  640. banner="$$All$$all $$tests passed"; \
  641. else \
  642. if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
  643. banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
  644. fi; \
  645. else \
  646. if test "$$xpass" -eq 0; then \
  647. banner="$$failed of $$all $$tests failed"; \
  648. else \
  649. if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
  650. banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
  651. fi; \
  652. fi; \
  653. dashes="$$banner"; \
  654. skipped=""; \
  655. if test "$$skip" -ne 0; then \
  656. if test "$$skip" -eq 1; then \
  657. skipped="($$skip test was not run)"; \
  658. else \
  659. skipped="($$skip tests were not run)"; \
  660. fi; \
  661. test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
  662. dashes="$$skipped"; \
  663. fi; \
  664. report=""; \
  665. if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
  666. report="Please report to $(PACKAGE_BUGREPORT)"; \
  667. test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
  668. dashes="$$report"; \
  669. fi; \
  670. dashes=`echo "$$dashes" | sed s/./=/g`; \
  671. if test "$$failed" -eq 0; then \
  672. col="$$grn"; \
  673. else \
  674. col="$$red"; \
  675. fi; \
  676. echo "$${col}$$dashes$${std}"; \
  677. echo "$${col}$$banner$${std}"; \
  678. test -z "$$skipped" || echo "$${col}$$skipped$${std}"; \
  679. test -z "$$report" || echo "$${col}$$report$${std}"; \
  680. echo "$${col}$$dashes$${std}"; \
  681. test "$$failed" -eq 0; \
  682. else :; fi
  683. distdir: $(BUILT_SOURCES)
  684. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  685. distdir-am: $(DISTFILES)
  686. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  687. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  688. list='$(DISTFILES)'; \
  689. dist_files=`for file in $$list; do echo $$file; done | \
  690. sed -e "s|^$$srcdirstrip/||;t" \
  691. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  692. case $$dist_files in \
  693. */*) $(MKDIR_P) `echo "$$dist_files" | \
  694. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  695. sort -u` ;; \
  696. esac; \
  697. for file in $$dist_files; do \
  698. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  699. if test -d $$d/$$file; then \
  700. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  701. if test -d "$(distdir)/$$file"; then \
  702. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  703. fi; \
  704. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  705. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  706. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  707. fi; \
  708. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  709. else \
  710. test -f "$(distdir)/$$file" \
  711. || cp -p $$d/$$file "$(distdir)/$$file" \
  712. || exit 1; \
  713. fi; \
  714. done
  715. check-am: all-am
  716. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  717. check: check-am
  718. all-am: Makefile $(PROGRAMS) $(HEADERS)
  719. installdirs:
  720. for dir in "$(DESTDIR)$(sbindir)"; do \
  721. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  722. done
  723. install: install-am
  724. install-exec: install-exec-am
  725. install-data: install-data-am
  726. uninstall: uninstall-am
  727. install-am: all-am
  728. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  729. installcheck: installcheck-am
  730. install-strip:
  731. if test -z '$(STRIP)'; then \
  732. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  733. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  734. install; \
  735. else \
  736. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  737. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  738. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  739. fi
  740. mostlyclean-generic:
  741. clean-generic:
  742. distclean-generic:
  743. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  744. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  745. maintainer-clean-generic:
  746. @echo "This command is intended for maintainers to use"
  747. @echo "it deletes files that may require special tools to rebuild."
  748. clean: clean-am
  749. clean-am: clean-generic clean-local clean-sbinPROGRAMS mostlyclean-am
  750. distclean: distclean-am
  751. -rm -f ./$(DEPDIR)/array.Po
  752. -rm -f ./$(DEPDIR)/channel.Po
  753. -rm -f ./$(DEPDIR)/class.Po
  754. -rm -f ./$(DEPDIR)/client-cap.Po
  755. -rm -f ./$(DEPDIR)/client.Po
  756. -rm -f ./$(DEPDIR)/conf.Po
  757. -rm -f ./$(DEPDIR)/conn-encoding.Po
  758. -rm -f ./$(DEPDIR)/conn-func.Po
  759. -rm -f ./$(DEPDIR)/conn-ssl.Po
  760. -rm -f ./$(DEPDIR)/conn-zip.Po
  761. -rm -f ./$(DEPDIR)/conn.Po
  762. -rm -f ./$(DEPDIR)/hash.Po
  763. -rm -f ./$(DEPDIR)/io.Po
  764. -rm -f ./$(DEPDIR)/irc-cap.Po
  765. -rm -f ./$(DEPDIR)/irc-channel.Po
  766. -rm -f ./$(DEPDIR)/irc-encoding.Po
  767. -rm -f ./$(DEPDIR)/irc-info.Po
  768. -rm -f ./$(DEPDIR)/irc-login.Po
  769. -rm -f ./$(DEPDIR)/irc-metadata.Po
  770. -rm -f ./$(DEPDIR)/irc-mode.Po
  771. -rm -f ./$(DEPDIR)/irc-op.Po
  772. -rm -f ./$(DEPDIR)/irc-oper.Po
  773. -rm -f ./$(DEPDIR)/irc-server.Po
  774. -rm -f ./$(DEPDIR)/irc-write.Po
  775. -rm -f ./$(DEPDIR)/irc.Po
  776. -rm -f ./$(DEPDIR)/lists.Po
  777. -rm -f ./$(DEPDIR)/log.Po
  778. -rm -f ./$(DEPDIR)/login.Po
  779. -rm -f ./$(DEPDIR)/match.Po
  780. -rm -f ./$(DEPDIR)/ngircd.Po
  781. -rm -f ./$(DEPDIR)/numeric.Po
  782. -rm -f ./$(DEPDIR)/op.Po
  783. -rm -f ./$(DEPDIR)/pam.Po
  784. -rm -f ./$(DEPDIR)/parse.Po
  785. -rm -f ./$(DEPDIR)/proc.Po
  786. -rm -f ./$(DEPDIR)/resolve.Po
  787. -rm -f ./$(DEPDIR)/sighandlers.Po
  788. -rm -f Makefile
  789. distclean-am: clean-am distclean-compile distclean-generic \
  790. distclean-tags
  791. dvi: dvi-am
  792. dvi-am:
  793. html: html-am
  794. html-am:
  795. info: info-am
  796. info-am:
  797. install-data-am:
  798. install-dvi: install-dvi-am
  799. install-dvi-am:
  800. install-exec-am: install-sbinPROGRAMS
  801. install-html: install-html-am
  802. install-html-am:
  803. install-info: install-info-am
  804. install-info-am:
  805. install-man:
  806. install-pdf: install-pdf-am
  807. install-pdf-am:
  808. install-ps: install-ps-am
  809. install-ps-am:
  810. installcheck-am:
  811. maintainer-clean: maintainer-clean-am
  812. -rm -f ./$(DEPDIR)/array.Po
  813. -rm -f ./$(DEPDIR)/channel.Po
  814. -rm -f ./$(DEPDIR)/class.Po
  815. -rm -f ./$(DEPDIR)/client-cap.Po
  816. -rm -f ./$(DEPDIR)/client.Po
  817. -rm -f ./$(DEPDIR)/conf.Po
  818. -rm -f ./$(DEPDIR)/conn-encoding.Po
  819. -rm -f ./$(DEPDIR)/conn-func.Po
  820. -rm -f ./$(DEPDIR)/conn-ssl.Po
  821. -rm -f ./$(DEPDIR)/conn-zip.Po
  822. -rm -f ./$(DEPDIR)/conn.Po
  823. -rm -f ./$(DEPDIR)/hash.Po
  824. -rm -f ./$(DEPDIR)/io.Po
  825. -rm -f ./$(DEPDIR)/irc-cap.Po
  826. -rm -f ./$(DEPDIR)/irc-channel.Po
  827. -rm -f ./$(DEPDIR)/irc-encoding.Po
  828. -rm -f ./$(DEPDIR)/irc-info.Po
  829. -rm -f ./$(DEPDIR)/irc-login.Po
  830. -rm -f ./$(DEPDIR)/irc-metadata.Po
  831. -rm -f ./$(DEPDIR)/irc-mode.Po
  832. -rm -f ./$(DEPDIR)/irc-op.Po
  833. -rm -f ./$(DEPDIR)/irc-oper.Po
  834. -rm -f ./$(DEPDIR)/irc-server.Po
  835. -rm -f ./$(DEPDIR)/irc-write.Po
  836. -rm -f ./$(DEPDIR)/irc.Po
  837. -rm -f ./$(DEPDIR)/lists.Po
  838. -rm -f ./$(DEPDIR)/log.Po
  839. -rm -f ./$(DEPDIR)/login.Po
  840. -rm -f ./$(DEPDIR)/match.Po
  841. -rm -f ./$(DEPDIR)/ngircd.Po
  842. -rm -f ./$(DEPDIR)/numeric.Po
  843. -rm -f ./$(DEPDIR)/op.Po
  844. -rm -f ./$(DEPDIR)/pam.Po
  845. -rm -f ./$(DEPDIR)/parse.Po
  846. -rm -f ./$(DEPDIR)/proc.Po
  847. -rm -f ./$(DEPDIR)/resolve.Po
  848. -rm -f ./$(DEPDIR)/sighandlers.Po
  849. -rm -f Makefile
  850. maintainer-clean-am: distclean-am maintainer-clean-generic \
  851. maintainer-clean-local
  852. mostlyclean: mostlyclean-am
  853. mostlyclean-am: mostlyclean-compile mostlyclean-generic
  854. pdf: pdf-am
  855. pdf-am:
  856. ps: ps-am
  857. ps-am:
  858. uninstall-am: uninstall-sbinPROGRAMS
  859. .MAKE: check-am install-am install-strip
  860. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  861. check-am clean clean-generic clean-local clean-sbinPROGRAMS \
  862. cscopelist-am ctags ctags-am distclean distclean-compile \
  863. distclean-generic distclean-tags distdir dvi dvi-am html \
  864. html-am info info-am install install-am install-data \
  865. install-data-am install-dvi install-dvi-am install-exec \
  866. install-exec-am install-html install-html-am install-info \
  867. install-info-am install-man install-pdf install-pdf-am \
  868. install-ps install-ps-am install-sbinPROGRAMS install-strip \
  869. installcheck installcheck-am installdirs maintainer-clean \
  870. maintainer-clean-generic maintainer-clean-local mostlyclean \
  871. mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
  872. tags tags-am uninstall uninstall-am uninstall-sbinPROGRAMS
  873. .PRECIOUS: Makefile
  874. clean-local:
  875. rm -f check-version check-help lint.out
  876. maintainer-clean-local:
  877. rm -f Makefile Makefile.in Makefile.am
  878. check-version: Makefile
  879. echo "#!/bin/sh" > check-version
  880. echo "./ngircd --version | grep ngircd >/dev/null 2>&1" >>check-version
  881. chmod 755 check-version
  882. check-help: Makefile
  883. echo "#!/bin/sh" > check-help
  884. echo "./ngircd --help | grep help >/dev/null 2>&1" >>check-help
  885. chmod 755 check-help
  886. lint:
  887. @splint --version >/dev/null 2>&1 \
  888. || ( echo; echo "Error: \"splint\" not found!"; echo; exit 1 )
  889. @echo; warnings=0; files=0; \
  890. for f in *.c; do \
  891. echo "checking $$f ..."; \
  892. splint $$f $(LINTARGS) -I$(srcdir) -I$(srcdir)/.. \
  893. $(AM_CPPFLAGS) $(AM_CFLAGS) >lint.out 2>&1; \
  894. grep "no warnings" lint.out > /dev/null 2>&1; \
  895. if [ $$? -ne 0 ]; then \
  896. waswarning=1; \
  897. echo; grep -v "^Command Line: " lint.out; echo; \
  898. w=$$( grep "code warning" lint.out | $(AWK) "{ print \$$4 }" ); \
  899. [ "$$w" -gt 0 ] && warnings=`expr $$warnings + $$w`; \
  900. files=`expr $$files + 1`; \
  901. else \
  902. waswarning=0; \
  903. fi; \
  904. rm -f lint.out; \
  905. done; \
  906. [ $$waswarning -eq 0 ] && echo; \
  907. [ $$warnings -gt 0 ] \
  908. && echo "Result: $$warnings warning(s) in $$files file(s)!" \
  909. || echo "Result: no warnings found."; \
  910. echo; [ $$warnings -gt 0 ] && exit 1
  911. # -eof-
  912. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  913. # Otherwise a system limit (for SysV at least) may be exceeded.
  914. .NOEXPORT: